package com.bonait.bnframework.common.view;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ScrollView;

/**
 * @author liupeng
 * @description: 因OnScrollChangeListener()API23低版本报错，必须重写
 * @date :2022/2/17 11:29
 */
public class NewScrollView extends ScrollView {

    private OnScrollChange listener;

    public void setOnScrollListener(OnScrollChange listener){
        this.listener = listener;
    }

    public NewScrollView(Context context) {
        super(context);
    }

    public NewScrollView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public NewScrollView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    @Override
    protected void onScrollChanged(int l, int t, int oldl, int oldt) {
        super.onScrollChanged(l, t, oldl, oldt);
        if(listener!=null){
            listener.onScroll(l,t,oldl,oldt);
        }
    }

    public interface OnScrollChange{
        void onScroll(int l,int t,int oldl,int oldt);
    }
}
